Subject: [SWIPL] compiling prolog on HP-UX 11.00

From: "KELLEHER,KEVIN (Non-HP-Roseville,ex1)" <[email-masked]>
Date: Fri, 2 Feb 2001 10:51:42 -0800

To compile using gcc, I had to make a change in
pl-wam.c:  on line 68 I had to change the type of the
first parameter of dlsym from "shl_t" to "void *".

I've gotten as far as compiling pl, but it balks at
the command:

      ./pl -x pl.prc \
         -f none -F none \
         -g make_library_index\(\'../library\'\) \
         -t halt

It says,

      [FATAL ERROR
         Could not open resource database "pl.prc": Invalid argument]

The pl.prc file is present, however.

I found some "Hello, world" tests in the PORTING file, and when I
ran the first I got the "Hello, world" printout and the message

   [PROLOG SYSTEM ERROR:
        Undefined predicate: $load_additional_boot_files/0

   PROLOG STACK:
   ]

Can anyone help me resolve this?

Thanks,

Kevin Kelleher